/**
 * \file mgui/ctrlpopupbuttoncolor.h
 * \brief MGUI::CTRL_POPUPBUTTON_COLOR
 *
 * \if NODOC
 * $Id: ctrlpopupbuttoncolor.h_v 1.1 2011/08/24 18:55:01 mju Exp $
 *
 * $Log: ctrlpopupbuttoncolor.h_v $
 * Revision 1.1  2011/08/24 18:55:01  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MGUI_CTRLPOPUPBUTTONCOLOR
#define	INC_MGUI_CTRLPOPUPBUTTONCOLOR

#ifndef	INC_MGUI_CTRLPOPUPBUTTON_H
#include <mgui/ctrlpopupbutton.h>
#endif

#ifndef	INC_MGUI_POPUPCOLOR_H
#include <mgui/popupcolor.h>
#endif

namespace MGUI {

//=====================================================================================================================
//! Pushbutton associated with POPUP_COLOR.
class CTRL_POPUPBUTTON_COLOR : public CTRL_POPUPBUTTON {
	public:

		//! Constructor.
		CTRL_POPUPBUTTON_COLOR ();

		//! Destructor.
		virtual ~CTRL_POPUPBUTTON_COLOR ();

		//! Access POPUP_COLOR associated with button.
		POPUP_COLOR& GetPopup ()
			{ return (m_Popup); }

		//! Update icon for button using current color as variable color in icon.
		void UpdateIconColor (
			const MGUI::ICON& icon
			);

	private:
		#ifndef GENERATING_DOXYGEN_OUTPUT
		POPUP_COLOR m_Popup;

		virtual ERRVALUE v_OpenPopup ();
		#endif // GENERATING_DOXYGEN_OUTPUT
	};

//=====================================================================================================================

}	// End namespace MGUI

#endif	// INC_MGUI_CTRLPOPUPBUTTONCOLOR
