/**
 * \file complex.h <mi32/complex.h>
 * \brief Definitions for COMPLEX numeric types
 *
 * \if NODOC
 * $Id: complex.h_v 1.6 2003/09/15 13:49:56 fileserver!dwilliss Exp $
 *
 * $Log: complex.h_v $
 * Revision 1.6  2003/09/15 13:49:56  fileserver!dwilliss
 * Doxygen
 *
 * Revision 1.5  2001/10/16 13:51:03  mju
 * Remove stl complex stuff.  Should only be used in fftfunc.h.
 *
 * Revision 1.4  2001/10/15 19:32:20  vdronov
 * added stl complex as DCOMPLEX
 *
 * Revision 1.3  2000/05/18 19:04:04  sparsons
 * Documentation.
 *
 * Revision 1.2  1999/05/07 21:16:01  mju
 * Header restruct.
 *
 * Revision 1.1  1999/04/28  21:24:18  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_MI32_COMPLEX_H
#define	INC_MI32_COMPLEX_H

#ifndef	INC_MI32_STDDEFNS_H
	#include <mi32/stddefns.h>
#endif

//----------------------------------------------------------------------------
//!		Constants
//----------------------------------------------------------------------------

#define	COMPLEXCOMP_Magnitude	0		//!<  Complex number "components" 
#define	COMPLEXCOMP_Phase			1
#define	COMPLEXCOMP_Real			2
#define	COMPLEXCOMP_Imaginary	3

//----------------------------------------------------------------------------
//!		FCOMPLEXRI structure: Real, Imaginary
//----------------------------------------------------------------------------

struct FCOMPLEXRI { FLOAT  r, i; };

//----------------------------------------------------------------------------
//!		DCOMLEXRI structure: Real, Imaginary
//----------------------------------------------------------------------------

struct DCOMPLEXRI { DOUBLE r, i; };

//----------------------------------------------------------------------------
//!		FCOMPLEXMP structure: Magnitude, Phase
//----------------------------------------------------------------------------

struct FCOMPLEXMP { FLOAT  m, p; };

//----------------------------------------------------------------------------
//!		DCOMPLEXMP structure: Magnitude, Phase
//----------------------------------------------------------------------------

struct DCOMPLEXMP { DOUBLE m, p; };

#endif	//!< INC_MI32_COMPLEX_H
