/**
 * \file mi32/xbuttonitemarray.h
 * \brief X BUTTONITEMARRAY definitions
 *
 * \if NODOC
 * $Id: xbuttonitemarray.h_v 1.3 2012/01/13 16:12:39 mju Exp $
 *
 * $Log: xbuttonitemarray.h_v $
 * Revision 1.3  2012/01/13 16:12:39  mju
 * Remove append using array.
 *
 * Revision 1.2  2011/11/08 14:18:24  mju
 * Fix dox.
 *
 * Revision 1.1  2011/11/03 13:11:18  mju
 * Initial revision
 * \endif
**/

#ifndef	INC_MI32_XBUTTONITEMARRAY_H
#define	INC_MI32_XBUTTONITEMARRAY_H

#ifndef INC_MI32_XDEFNS_H
	#include <mi32/xdefns.h>
#endif

#ifndef INC_MI32_SIMPLEAR_H
	#include <mi32/simplear.h>
#endif

//------------------------------------------------------------------------------

//! Class to contain array of BUTTONITEMs.
class BUTTONITEMARRAY : public SIMPLE_ARRAY<BUTTONITEM> {
	public:

		//! Append single BUTTONITEM.
		ERRVALUE Append (
			const BUTTONITEM& item			//!< Item to append
			) { Unterminate(); SIMPLE_ARRAY<BUTTONITEM>::Append(&item,1); Terminate(); return (0); }

		//! Determine if array is properly "terminated".
		bool IsTerminated (
			) const { return (GetNumItems() > 0 && GetItem(GetNumItems()-1).label == 0); }

		//! Terminate array if not already.
		ERRVALUE Terminate (
			) { if (!IsTerminated()) return (Resize(GetNumItems()+1,true,true)); else return (0); }

		//! Unterminate array in preparation for adding items to end.
		void Unterminate (
			) { if (IsTerminated()) Resize(GetNumItems()-1); }
	};

//------------------------------------------------------------------------------

#endif	// INC_MI32_XBUTTONITEMARRAY_H
