/**
 * \file rvc/opresample.h
 * \brief RVC::OP::ResampleRasterTransGen defns
 *
 * \if NODOC
 * $Id: opresample.h_v 1.5 2012/11/09 18:30:13 mju Exp $
 *
 * $Log: opresample.h_v $
 * Revision 1.5  2012/11/09 18:30:13  mju
 * Remove resampleRasterTransGen.
 *
 * Revision 1.4  2008/11/20 18:14:29  mju
 * Use uppercase mat3x3.
 *
 * Revision 1.1  2007/03/07 20:28:26  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_RVC_OPRESAMPLE_H
#define	INC_RVC_OPRESAMPLE_H

#ifndef	INC_RVC_RASTER_H
#include <rvc/raster.h>
#endif

/*----------------------------------------------------------------------------*/
/*		Definitions for generic raster I/O													*/
/*----------------------------------------------------------------------------*/

#define	MASKFLAG_Mixed			0
#define	MASKFLAG_AllValid		1
#define	MASKFLAG_AllNull		2

/*-------------------------------------------------------------------------*/
/*		Definitions for Resample functions												*/
/*-------------------------------------------------------------------------*/

#define	RESAMPLE_Nearest		0			//!< Nearest-neighbor
#define	RESAMPLE_Bilinear		1			//!< Bilinear interpolation
#define	RESAMPLE_CubicConv	2			//!< Cubic convolution

namespace RVC {
namespace OP {

typedef int RASTREADFUNC (INT32, INT32, INT32, void*, UINT8*, int*, void*);
typedef int RASTWRITEFUNC (INT32, INT32, INT32, void*, UINT8*, int, void*);

int ResampleRasterAffine (MAT3X3, MAT3X3, INT32, INT32, int, int, INT32, INT32, INT32, INT32, RASTREADFUNC*, RASTWRITEFUNC*, int, void*);

} 	// end namespace OP
}	// end namespace RVC

#endif
